Bug 98204 - unnecessary alias in modules.conf
unnecessary alias in modules.conf
Product: Red Hat Enterprise Linux 2.1
Classification: Red Hat
Component: anaconda (Show other bugs)
ia64 Linux
medium Severity medium
: ---
: ---
Assigned To: Michael Fulbright
Mike McLean
Depends On:
  Show dependency treegraph
Reported: 2003-06-27 18:06 EDT by Eric Schwartz
Modified: 2007-11-30 17:06 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2003-10-15 21:01:37 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Eric Schwartz 2003-06-27 18:06:27 EDT
Description of problem:
For some odd reason, after an install on an rx5670 with 17 network interfaces
(eth0-eth16), /etc/modules.conf contains this:

alias eth0 tg3
alias eth1 tg3
alias eth2 tg3
alias eth3 eepro100
alias eth4 eepro100
alias eth5 tulip
alias eth6 tulip
alias eth7 tulip
alias eth8 tulip
alias eth9 tulip
alias eth10 tulip
alias eth11 tulip
alias eth12 tulip
alias eth13 tulip
alias eth14 tulip
alias eth15 tulip
alias eth16 tulip
alias scsi_hostadapter sym53c8xx_2
alias eth17 e100

Note the 'eth17' at the end.

A) This interface does not exist.  (most important)
B) it's using e100, which is odd, since the eepro100 driver loaded for eth3
   and eth4 will claim any cards which would otherwise be configured for e100.

Version-Release number of selected component (if applicable):
Q2 Errata

How reproducible:

Steps to Reproduce:
1. Install RHAS2.1 Q2 errata on a system with 16 interfaces (I used 3x 4-port 
   tulip cards, 2xeepro100 cards, 2xGB Ethernet cards, and the core networking
2. look at /etc/modules.conf
Actual results:
eth17 has an alias in /etc/modules.conf

Expected results:
eth17 shouldn't be aliased anywhere, since it does not exist.

Additional info:
Comment 1 Larry Troan 2003-07-30 22:25:19 EDT
Note that this is a sev 2 at most as reflected in the Bugzilla
Comment 2 Michael Fulbright 2003-08-15 16:46:52 EDT
What are the contents of /etc/sysconfig/hwconf immediately after the first reboot?

It looks like kudzu is picking up a phantom interface.
Comment 3 Jeremy Katz 2003-10-15 21:01:37 EDT
Closing due to inactivity.  Please reopen if you have any further information to
add to this bug report

Note You need to log in before you can comment on or make changes to this bug.